package org.hso.texturesyncclient.view.startupView

import tornadofx.Controller
import com.sun.org.apache.xalan.internal.xsltc.compiler.sym.PATTERN



class StartupViewController : Controller() {

    fun btnConnectAction(txt:String){
        println("Connect BTN: $txt")

        if (validateIPv4(txt)){
            println("valid ipv4")
            //TODO connect to server ...
        }else{
            println("invalid ipv4")
            //TODO show error
        }

    }

    fun labelStatusSetText (txt:String){
        val startupView = find(StartupView::class)
        startupView.labelStatus.text =  txt
    }

    fun validateIPv4(ip: String): Boolean {
        val regex = Regex(pattern = "^(([01]?\\d\\d?|2[0-4]\\d|25[0-5])\\.){3}([01]?\\d\\d?|2[0-4]\\d|25[0-5])\$")
        return regex.containsMatchIn(input = ip)    // matched: true
    }

}


